<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1" . "zZw" . "=="), "_d36d5ad3900b429055d2ab305b6" . "8bdbd" => base64_decode("Zm9ydW1fbWVzc" . "2FnZQ=="), "_76b2584d18510f887f4a6f6b" . "81f96952" => base64_decode("Y29tbW9uLmhlYWRlci5" . "mb3J1bQ=="), "_4cb84eb74ebb3a0cd6e531eaa8" . "157092" => base64_decode("YXB" . "wX2" . "Zvc" . "nVt"));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d36d5ad3" . "900b42905" . "5d2ab305b" . "68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_76b2584d18510f8" . "87f4a6f6b81f9695" . "2"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4cb84eb" . "74ebb3a0" . "cd6e531e" . "aa815709" . "2"];
    }
}